### Method

# Gegl Rectangleset

#### Declaration [src]

    void
    gegl_rectangle_set (
      GeglRectangle* rectangle,
      gint x,
      gint y,
      guint width,
      guint height
    )

#### Description [src]

Sets the `x`, `y`, `width` and `height` on `rectangle`.

#### Parameters

`x`

  Type: `gint`

  Upper left x coordinate.

`y`

  Type: `gint`

  Upper left y coordinate.

`width`

  Type: `guint`

  Width in pixels.

`height`

  Type: `guint`

  Height in pixels.